--- nmh-1.2.orig/man/nmh.7
+++ nmh-1.2/man/nmh.7
@@ -0,0 +1,299 @@
+.\"
+.\" THIS FILE HAS BEEN AUTOMATICALLY GENERATED.  DO NOT EDIT.
+.\" $Id: nmh.man,v 1.10 2005/11/08 17:18:10 opk Exp $
+.\"
+.TH NMH 7 "1 Jul 2003" MH.6.8 [nmh-1.2]
+.SH NAME
+nmh \- new MH message system
+.SH SYNOPSIS
+any
+.B nmh
+command
+.SH DESCRIPTION
+.B nmh
+is the name of a powerful message handling system.  Rather than
+being a single comprehensive program,
+.B nmh
+consists of a collection
+of fairly simple single-purpose programs to send, retrieve, save,
+and manipulate messages.
+.PP
+Unlike most mail clients in UNIX,
+.B nmh
+is not a closed system which
+must be explicitly run, then exited when you wish to return to the shell.
+You may freely intersperse
+.B nmh
+commands with other shell commands,
+allowing you to read and answer your mail while you have (for example)
+a compilation running, or search for a file or run programs as needed
+to find the answer to someone's question before answering their mail.
+.PP
+The rest of this manual entry is a quick tutorial which will teach you
+the basics of
+.BR nmh .
+You should read the manual entries for the
+individual programs for complete documentation.
+.PP
+To get started using
+.BR nmh ,
+put the directory
+.I /usr/bin/mh
+on your
+.BR $PATH .
+This is best done in one of the files:
+.IR \&.profile ,
+.IR \&.login ,
+.IR \&.bashrc ,
+or
+.I \&.cshrc
+in your home directory.  (Check the
+manual entry for the shell you use, in case you don't know how to
+do this.)  Run the
+.B install-mh
+command.  If you've never used
+.B nmh
+before, it will create the necessary default files and directories after
+asking you if you wish it to do so.
+.PP
+.B inc
+moves mail from your system maildrop into your
+.B nmh
+`+inbox' folder, breaking it up into separate files and converting it
+to
+.B nmh
+format as it goes.  It prints one line for each message it
+processes, containing the from field, the subject field and as much of
+the first line of the message as will fit.  It leaves the first message
+it processes as your current message.  You'll need to run
+.B inc
+each
+time you wish to incorporate new mail into your
+.B nmh
+file.
+.PP
+.B scan
+.B prints a list of the messages in your current folder.
+.PP
+The commands:
+.BR show ,
+.BR next ,
+and
+.B prev
+are used to read
+specific messages from the current folder.
+.B show
+displays the
+current message, or a specific message, which may be specified by its
+number, which you pass as an argument to
+.BR show .
+.B next
+and
+.B prev
+display, respectively, the message numerically after or before
+the current message.  In all cases, the message displayed becomes the
+current message.  If there is no current message,
+.B show
+may be
+called with an argument, or
+.B next
+may be used to advance to the
+first message.
+.PP
+.B rmm
+(remove message) deletes the current message.  It may be called
+with message numbers passed as arguments, to delete specific messages.
+.PP
+.B repl
+is used to respond to the current message (by default).
+It places you in the editor with a prototype response form.  While you're
+in the editor, you may peruse the item you're responding to by reading
+the file
+.IR @ .
+After completing your response, type
+.B l
+to
+.B list
+(review) it, or
+.B s
+to
+.B send
+it.
+.PP
+.B comp
+allows you to compose a message by putting you in the editor
+on a prototype message form, and then lets you send it.
+.PP
+All the
+.B nmh
+commands may be run with the single argument:
+.BR \-help ,
+which causes them to print a list of the arguments they may be invoked
+with and then exit.
+.PP
+All the
+.B nmh
+commands may be run with the single argument:
+.BR \-version ,
+which cause them to print the version number of the
+.B nmh
+distribution, and then exit.
+.PP
+Commands which take a message number as an argument (
+.BR scan ,
+.BR show ,
+.BR repl ,
+\&...)  also take one of the words: \*(lqfirst\*(rq,
+\*(lqprev\*(rq, \*(lqcur\*(rq, \*(lqnext\*(rq, or \*(lqlast\*(rq to indicate
+(respectively) the first, previous, current, next, or last message in
+the current folder (assuming they are defined).
+
+Commands which take a range of message numbers (
+.BR rmm ,
+.BR scan ,
+.BR show ,
+\&...)  also take any of the abbreviations:
+.PP
+.RS 5
+.IP \fI<num1>\fR\-\fI<num2>\fR 15
+Indicates all messages in the range <num1> to <num2>, inclusive. The range must be nonempty.
+.IP \fI<num>\fR:+\fIN\fR 15
+.IP \fI<num>\fR:\-\fIN\fR 15
+Up to
+.I N
+messages beginning with (or ending with) message
+.IR num .
+.I Num
+may be any of the pre-defined symbols:
+.IR first ,
+.IR prev ,
+.IR cur ,
+.I next
+or
+.IR last .
+.IP first:\fIN\fR 15
+.IP prev:\fIN\fR 15
+.IP next:\fIN\fR 15
+.IP last:\fIN\fR 15
+The first, previous, next or last
+messages, if they exist.
+.RE
+.PP
+There are many other possibilities such as creating multiple folders
+for different topics, and automatically refiling messages according to
+subject, source, destination, or content.  These are beyond the scope
+of this manual entry.
+.PP
+Following is a list of all the
+.B nmh
+commands:
+.PP
+.RS 5
+.fc ^ ~
+.nf
+.ta 1.5i
+^ali(1)~^\- list mail aliases
+^anno(1)~^\- annotate messages
+^burst(1)~^\- explode digests into messages
+^comp(1)~^\- compose a message 
+^dist(1)~^\- redistribute a message to additional addresses
+^flist(1)~^\- list folders with messages in given sequence(s)
+^flists(1)~^\- list all folders with messages in given sequence(s)
+^folder(1)~^\- set/list current folder/message
+^folders(1)~^\- list all folders
+^forw(1)~^\- forward messages
+^inc(1)~^\- incorporate new mail
+^mark(1)~^\- mark messages
+^mhbuild(1)~^\- translate MIME composition draft
+^mhl(1)~^\- produce formatted listings of nmh messages
+^mhlist(1)~^\- list information about content of MIME messages
+^mhmail(1)~^\- send or read mail
+^mhn(1)~^\- display/list/store/cache MIME messages
+^mhparam(1)~^\- print nmh profile components
+^mhpath(1)~^\- print full pathnames of nmh messages and folders
+^mhshow(1)~^\- display MIME messages
+^mhstore(1)~^\- store contents of MIME messages into files
+^msgchk(1)~^\- check for messages
+^msh(1)~^\- nmh shell(and BBoard reader)
+^next(1)~^\- show the next message
+^packf(1)~^\- compress a folder into a single file
+^pick(1)~^\- select messages by content
+^prev(1)~^\- show the previous message
+^prompter(1)~^\- prompting editor front end
+^rcvdist(1)~^\- asynchronously redistribute new mail
+^rcvpack(1)~^\- append message to file
+^rcvstore(1)~^\- asynchronously incorporate new mail
+^rcvtty(1)~^\- report new mail
+^refile(1)~^\- file messages in other folders
+^repl(1)~^\- reply to a message
+^rmf(1)~^\- remove folder
+^rmm(1)~^\- remove messages
+^scan(1)~^\- produce a one line per message scan listing
+^send(1)~^\- send a message
+^sendfiles(1)~^\- send multiple files and directories in MIME message
+^show(1)~^\- show(display) messages
+^slocal(1)~^\- asynchronously filter and deliver new mail
+^sortm(1)~^\- sort messages
+^whatnow(1)~^\- prompting front\-end for send
+^whom(1)~^\- report to whom a message would go
+.sp
+^mh\-alias(5)~^\- alias file for nmh message system
+^mh\-draft(5)~^\- draft folder facility
+^mh\-format(5)~^\- format file for nmh message system
+^mh\-mail(5)~^\- message format for nmh message system
+^mh\-profile(5)~^\- user customization for nmh message system
+^mh\-sequence(5)~^\- sequence specification for nmh message system
+^mh\-tailor(5)~^\- mail transport customization for nmh message system
+.sp
+^ap(8)~^\- parse addresses 822\-style
+^conflict(8)~^\- search for alias/password conflicts
+^dp(8)~^\- parse dates 822\-style
+^fmtdump(8)~^\- decode \fInmh\fP format files
+^install\-mh(8)~^\- initialize the nmh environment
+^post(8)~^\- deliver a message
+.fi
+.RE
+
+.SH FILES
+.fc ^ ~
+.nf
+.ta \w'/etc/nmh/ExtraBigFileName  'u
+^/usr/bin/mh~^contains \fInmh\fR commands
+^/etc/nmh~^contains \fInmh\fR format files
+^/usr/lib/mh~^contains \fInmh\fR library commands
+^$HOME/\&.mh\(ruprofile~^The user profile
+.fi
+
+.SH "PROFILE COMPONENTS"
+.fc ^ ~
+.nf
+.ta 2.4i
+.ta \w'ExtraBigProfileName  'u
+^Path:~^To determine the user's nmh directory
+.fi
+
+.SH BUGS
+If problems are encountered with an
+.B nmh
+program, the problems should
+be reported to the local maintainers of
+.BR nmh .
+When doing this, the
+name of the program should be reported, along with the version information
+for the program.
+.br
+To find out what version of an
+.B nmh
+program is being run, invoke
+the program with the
+.B \-version
+switch.  This information includes
+the version of
+.BR nmh ,
+the host it was generated on, and the date the
+program was loaded.
+.PP
+Send bug reports and suggestions to
+.IR nmh-workers@nongnu.org .
+.SH "SEE ALSO"
+mh-chart(7)
--- nmh-1.2.orig/man/mh-chart.7
+++ nmh-1.2/man/mh-chart.7
@@ -0,0 +1,835 @@
+.\"
+.\" THIS FILE HAS BEEN AUTOMATICALLY GENERATED.  DO NOT EDIT.
+.\" $Id: mh-chart.man,v 1.5 2003/09/21 17:34:31 gbburkhardt Exp $
+.\"
+.TH MH-CHART 7 "1 Jul 2003" MH.6.8 [nmh-1.2]
+.SH NAME
+mh-chart \- Chart of nmh Commands
+.SH SYNOPSIS
+.na
+.HP 5
+.B ali
+.RB [ \-alias
+.IR aliasfile ]
+.RB [ \-list " | " \-nolist ]
+.RB [ \-normalize " | " \-nonormalize ]
+.RB [ \-user " | " \-nouser ]
+.RB [ \-version ]
+.RB [ \-help ] 
+.RI [ aliases " ...]"
+
+.HP 5
+.B anno
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-component
+.IR field ]
+.RB [ \-inplace " | " \-noinplace ]
+.RB [ \-date " | " \-nodate ]
+.RB [ \-version ]
+.RB [ \-help ]
+.RB [ \-text
+.IR body ]
+
+.HP 5
+.B /usr/lib/mh/ap
+.RB [ \-form
+.IR formatfile ]
+.RB [ \-format
+.IR string ]
+.RB [ \-normalize " | " \-nonormalize ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-version ]
+.RB [ \-help ] 
+.I addrs
+\&...
+
+.HP 5
+.B burst
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-inplace " | " \-noinplace ]
+.RB [ \-quiet " | " \-noquiet ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B comp 
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-use " | " \-nouse ]
+.RB [ \-file
+.IR file ]
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RB [ \-editor
+.IR editor ]
+.RB [ \-noedit ]
+.RB [ \-whatnowproc
+.IR program ]
+.RB [ \-nowhatnowproc ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/conflict
+.RB [ \-search
+.IR directory ]
+.RB [ \-mail
+.IR name ]
+.RB [ \-version ]
+.RB [ \-help ] 
+.RI [ aliasfiles
+\&...]
+
+.HP 5
+.B dist
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-annotate " | " \-noannotate ] 
+.RB [ \-inplace " | " \-noinplace ] 
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RB [ \-editor
+.IR editor ]
+.RB [ \-noedit ]
+.RB [ \-whatnowproc
+.IR program ]
+.RB [ \-nowhatnowproc ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/dp
+.RB [ \-form
+.IR formatfile ]
+.RB [ \-format
+.IR string ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-version ]
+.RB [ \-help ] 
+.I dates
+\&...
+
+.HP 5
+.B flist
+.RI [ +folder1
+.RI [ +folder2
+\&...]]
+.RB [ \-sequence
+.I name1
+.RB [ \-sequence
+.I name2
+\&...]]
+.RB [ \-all " | " \-noall ]
+.RB [ \-showzero " | " \-noshowzero ]
+.RB [ \-recurse " | " \-norecurse ]
+.RB [ \-fast " | " \-nofast ]
+.RB [ \-alpha " | " \-noalpha ]
+.RB [ \-version ]
+.RB [ \-help ]
+.PP
+.HP 5
+.B flists
+is equivalent to
+.B flist
+.B \-all
+
+.HP 5
+.B /usr/lib/mh/fmtdump
+.RB [ \-form
+.IR formatfile ]
+.RB [ \-format
+.IR string ]
+.RB [ \-version ]
+.RB [ \-help ] 
+
+.HP 5
+.B folder
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-all " | " \-noall ]
+.RB [ \-create " | " \-nocreate ]
+.RB [ \-fast " | " \-nofast ]
+.RB [ \-header " | " \-noheader ]
+.RB [ \-recurse " | " \-norecurse ]
+.RB [ \-total " | " \-nototal ]
+.RB [ \-list " | " \-nolist ]
+.RB [ \-push " | " \-pop ]
+.RB [ \-pack " | " \-nopack ]
+.RB [ \-print ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-version ]
+.RB [ \-help ]
+.PP
+.HP 5
+.B folders
+is equivalent to
+.B folder
+.B \-all
+
+.HP 5
+.B forw
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-annotate " | " \-noannotate ] 
+.RB [ \-form
+.IR formfile ]
+.RB [ \-format " | " \-noformat ]
+.RB [ \-filter
+.IR filterfile ]
+.RB [ \-inplace " | " \-noinplace ]
+.RB [ \-mime " | " \-nomime ]
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RB [ \-editor
+.IR editor ]
+.RB [ \-noedit ]
+.RB [ \-whatnowproc
+.IR program ]
+.RB [ \-nowhatnowproc ]
+.RB [ \-dashstuffing " | " \-nodashstuffing ]
+.RB [ \-build ]
+.RB [ \-file
+.IR msgfile ]
+.RB [ \-version ]
+.RB [ \-help ]
+.PP
+.HP 5
+.B forw
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-digest
+.IR list ]
+.RB [ \-issue
+.IR number ]
+.RB [ \-volume
+.IR number ]
+[other\ switches\ for\ 
+.BR forw ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B inc
+.RI [ +folder ]
+.RB [ \-audit
+.IR audit\-file ]
+.RB [ \-noaudit ]
+.RB [ \-changecur " | " \-nochangecur ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-format
+.IR string ]
+.RB [ \-file
+.IR name ]
+.RB [ \-silent " | " \-nosilent ]
+.RB [ \-truncate " | " \-notruncate ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-host
+.IR hostname ]
+.RB [ \-user
+.IR username ]
+.RB [ \-pack
+.IR file ]
+.RB [ \-nopack ]
+.RB [ \-apop " | " \-noapop ]
+.RB [ \-kpop ]
+.RB [ \-sasl ]
+.RB [ \-saslmech
+.IR mechanism ]
+.RB [ \-snoop ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/install\-mh
+.RB [ \-auto ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B mark
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-sequence
+.I name
+\&...]
+.RB [ \-add " | " \-delete ]
+.RB [ \-list ] 
+.RB [ \-public " | " \-nopublic ]
+.RB [ \-zero " | " \-nozero ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B mhlist
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-file
+.IR file ]
+.RB [ \-part
+.IR number ]
+\&...
+.RB [ \-type
+.IR content ]
+\&...
+.RB [ \-headers " | " \-noheaders ]
+.RB [ \-realsize " | " \-norealsize ]
+.RB [ \-rcache
+.IR policy ]
+.RB [ \-wcache
+.IR policy ]
+.RB [ \-check " | " \-nocheck ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/mhl
+.RB [ \-bell " | " \-nobell ]
+.RB [ \-clear " | " \-noclear ]
+.RB [ \-folder
+.IR +folder ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-length
+.IR lines ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-moreproc
+.IR program ]
+.RB [ \-nomoreproc ]
+.RI [ files
+.IR \&... ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B mhmail
+.RI [ addrs
+\&...]
+.RB [ \-body
+.IR text ]
+.RB [ \-cc
+.I addrs
+...]
+.RB [ \-from
+.IR addr ]
+.RB [ \-subject
+.IR subject ]
+.RB [ \-version ]
+.RB [ \-help ] 
+
+.HP 5
+.B mhn
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-file
+.IR file ]
+.RB [ \-part
+.IR number ]
+\&...
+.RB [ \-type
+.IR content ]
+\&...
+.RB [ \-show " | " \-noshow ]
+.RB [ \-list " | " \-nolist ]
+.RB [ \-store " | " \-nostore ]
+.RB [ \-cache " | " \-nocache ]
+.RB [ \-headers " | " \-noheaders ]
+.RB [ \-realsize " | " \-norealsize ]
+.RB [ \-serialonly " | " \-noserialonly ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-pause " | " \-nopause ]
+.RB [ \-auto " | " \-noauto ]
+.RB [ \-rcache
+.IR policy ]
+.RB [ \-wcache
+.IR policy ]
+.RB [ \-check " | " \-nocheck ]
+.RB [ \-version ]
+.RB [ \-help ]
+.PP
+.HP 5
+.B mhn
+.B \-build
+.I file
+.RB [ \-ebcdicsafe " | " \-noebcdicsafe ]
+.RB [ \-rfc934mode " | " \-norfc934mode ]
+
+.HP 5
+.B mhpath
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B mhshow
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-file
+.IR file ]
+.RB [ \-part
+.IR number ]
+\&...
+.RB [ \-type
+.IR content ]
+\&...
+.RB [ \-serialonly " | " \-noserialonly ]
+.RB [ \-pause " | " \-nopause ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-rcache
+.IR policy ]
+.RB [ \-wcache
+.IR policy ]
+.RB [ \-check " | " \-nocheck ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B mhstore
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-file
+.IR file ]
+.RB [ \-part
+.IR number ]
+\&...
+.RB [ \-type
+.IR content ]
+\&...
+.RB [ \-auto " | " \-noauto ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-rcache
+.IR policy ]
+.RB [ \-wcache
+.IR policy ]
+.RB [ \-check " | " \-nocheck ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B msgchk
+.RB [ \-date " | " \-nodate ]
+.RB [ \-notify
+all/mail/nomail ]
+.RB [ \-nonotify
+all/mail/nomail ]
+.RB [ \-host
+.IR hostname ]
+.RB [ \-user
+.IR username ]
+.RB [ \-apop " | " \-noapop ]
+.RB [ \-kpop ]
+.RB [ \-sasl ]
+.RB [ \-saslmech
+.IR mechanism ]
+.RB [ \-snoop ]
+.RI [ users
+... ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B msh
+.RB [ \-prompt
+.IR string ]
+.RB [ \-scan " | " \-noscan ]
+.RB [ \-topcur " | " \-notopcur ]
+.RI [ file ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B next 
+.RI [ +folder ]
+.RB [\-showproc
+.IR program ]
+.RB [ \-showmimeproc
+.IR program ]
+.RB [ \-header " | " \-noheader ]
+.RB [ \-checkmime " | " \-nocheckmime ]
+[switches\ for
+.I showproc
+or
+.IR showmimeproc ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B packf
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-file
+.IR name ]
+.RB [ \-mbox ]
+.RB [ \-mmdf ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B pick
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-and
+\&...]
+.RB [ \-or
+\&...]
+.RB [ \-not
+\&...]
+.RB [ \-lbrace
+\&...
+.BR \-rbrace ]
+.RB [ \-\|\-component
+.IR pattern ]
+.RB [ \-cc
+.IR pattern ]
+.RB [ \-date
+.IR pattern ]
+.RB [ \-from
+.IR pattern ]
+.RB [ \-search
+.IR pattern ]
+.RB [ \-subject
+.IR pattern ]
+.RB [ \-to
+.IR pattern ]
+.RB [ \-after
+.IR date ]
+.RB [ \-before
+.IR date ]
+.RB [ \-datefield
+.IR field ]
+.RB [ \-sequence
+.I name
+\&...]
+.RB [ \-public " | " \-nopublic ]
+.RB [ \-zero " | " \-nozero ]
+.RB [ \-list " | " \-nolist ] 
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/post 
+.RB [ \-alias
+.IR aliasfile ]
+.RB [ \-filter
+.IR filterfile ]
+.RB [ \-nofilter ]
+.RB [ \-format " | " \-noformat ]
+.RB [ \-mime " | " \-nomime ]
+.RB [ \-msgid " | " \-nomsgid ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-watch " | " \-nowatch ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-sasl ]
+.RB [ \-saslmech
+.IR mechanism ]
+.RB [ \-user
+.IR username ]
+.I file
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B prev 
+.RI [ +folder ]
+.RB [\-showproc
+.IR program ]
+.RB [ \-showmimeproc
+.IR program ]
+.RB [ \-header " | " \-noheader ]
+.RB [ \-checkmime " | " \-nocheckmime ]
+[switches\ for
+.I showproc
+or
+.IR showmimeproc ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/rcvdist
+.RB [ \-form
+.IR formfile ]
+[switches\ for
+.IR postproc ]
+.I address1
+\&...
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/rcvpack
+.I file
+.RB [ \-mbox ]
+.RB [ \-mmdf ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/rcvstore
+.RI [ +folder ]
+.RB [ \-create " | " \-nocreate ]
+.RB [ \-unseen " | " \-nounseen ]
+.RB [ \-zero " | " \-nozero ]
+.RB [ \-sequence
+.I name
+\&...]
+.RB [ \-public " | " \-nopublic ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/rcvtty
+.RI [ command ]
+.RB [ \-form
+.IR formatfile ]
+.RB [ \-format
+.IR string ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-bell " | " \-nobell ]
+.RB [ \-newline " | " \-nonewline ]
+.RB [ \-biff ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B refile 
+.RI [ msgs ]
+.RB [ \-draft ]
+.RB [ \-link " | " \-nolink ]
+.RB [ \-preserve " | " \-nopreserve ]
+.RB [ \-unlink " | " \-nounlink ]
+.RB [ \-src
+.IR +folder ]
+.RB [ \-file
+.IR file ]
+.RB [ \-rmmproc
+.IR program ]
+.RB [ \-normmproc ]
+.I +folder1
+\&...
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B repl
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-annotate " | " \-noannotate ] 
+.RB [ \-group " | " \-nogroup ]
+.RB [ \-cc
+all/to/cc/me]
+.RB [ \-nocc
+all/to/cc/me]
+.RB [ \-query " | " \-noquery ]
+.RB [ \-form
+.IR formfile ]
+.RB [ \-format " | " \-noformat ]
+.RB [ \-filter
+.IR filterfile ]
+.RB [ \-inplace " | " \-noinplace ]
+.RB [ \-mime " | " \-nomime ]
+.RB [ \-fcc
+.IR +folder ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RB [ \-editor
+.IR editor ]
+.RB [ \-noedit ]
+.RB [ \-whatnowproc
+.IR program ]
+.RB [ \-nowhatnowproc ]
+.RB [ \-build ]
+.RB [ \-file
+.IR msgfile ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B rmf 
+.RI [ +folder ]
+.RB [ \-interactive " | " \-nointeractive ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B rmm
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-link " | " \-nolink ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B scan
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-clear " | " \-noclear ]
+.RB [ \-form
+.IR formatfile ]
+.RB [ \-format
+.IR string ]
+.RB [ \-header " | " \-noheader ]
+.RB [ \-width
+.IR columns ]
+.RB [ \-reverse " | " \-noreverse ]
+.RB [ \-file
+.IR filename ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B send
+.RB [ \-alias
+.IR aliasfile ]
+.RB [ \-draft ]
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RB [ \-filter
+.IR filterfile ]
+.RB [ \-nofilter ]
+.RB [ \-format " | " \-noformat ]
+.RB [ \-forward " | " \-noforward ]
+.RB [ \-mime " | " \-nomime ]
+.RB [ \-msgid " | " \-nomsgid ]
+.RB [ \-push " | " \-nopush ]
+.RB [ \-split
+.IR seconds ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-watch " | " \-nowatch ]
+.RB [ \-sasl ]
+.RB [ \-saslmech
+.IR mechanism ]
+.RB [ \-user
+.IR username ]
+.RB [ \-width
+.IR columns ]
+.RB [ file
+\&...] 
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B show
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-draft ]
+.RB [\-showproc
+.IR program ]
+.RB [ \-showmimeproc
+.IR program ]
+.RB [ \-header " | " \-noheader ]
+.RB [ \-checkmime " | " \-nocheckmime ]
+[switches\ for
+.I showproc
+or
+.IR showmimeproc ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B /usr/lib/mh/slocal
+[address\ info\ sender]
+.RB [ \-addr
+.IR address ]
+.RB [ \-info
+.IR data ]
+.RB [ \-sender
+.IR sender ]
+.RB [ \-user
+.IR username ]
+.RB [ \-mailbox
+.IR mbox ]
+.\" \%[\-home\ homedir]
+.RB [ \-file
+.IR file ]
+.RB [ \-maildelivery
+.IR deliveryfile ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-suppressdup " | " \-nosuppressdup ]
+.RB [ \-debug ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B sortm
+.RI [ +folder ]
+.RI [ msgs ]
+.RB [ \-datefield
+.IR field ]
+.RB [ \-textfield
+.IR field ]
+.RB [ \-notextfield ]
+.RB [ \-limit
+.IR days ]
+.RB [ \-nolimit ]
+.RB [ \-verbose " | " \-noverbose ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B whatnow
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RB [ \-editor
+.IR editor ]
+.RB [ \-noedit ]
+.RB [ \-prompt
+.IR string ]
+.RI [ file ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.HP 5
+.B whom
+.RB [ \-alias
+.IR aliasfile ]
+.RB [ \-check " | " \-nocheck ]
+.RB [ \-draft ]
+.RB [ \-draftfolder
+.IR +folder ]
+.RB [ \-draftmessage
+.IR msg ]
+.RB [ \-nodraftfolder ]
+.RI [ file ]
+.RB [ \-version ]
+.RB [ \-help ]
+
+.ad
+
+.SH "SEE ALSO"
+nmh(7)
--- nmh-1.2.orig/uip/Makefile.in
+++ nmh-1.2/uip/Makefile.in
@@ -228,7 +228,7 @@
 	$(LINK) show.o mhlsbr.o termsbr.o $(LINKLIBS) $(TERMLIB)
 
 slocal: slocal.o aliasbr.o dropsbr.o $(LOCALLIBS)
-	$(LINK) slocal.o aliasbr.o dropsbr.o $(LINKLIBS)
+	$(LINK) slocal.o aliasbr.o dropsbr.o $(LINKLIBS) -ldb
 
 sortm: sortm.o $(LOCALLIBS)
 	$(LINK) sortm.o $(LINKLIBS)
--- nmh-1.2.orig/debian/TODO
+++ nmh-1.2/debian/TODO
@@ -0,0 +1,3 @@
+* Fix the configure script to deal with including db4, etc correctly. It seemed to deal with
+  db3 properly, however there's something funky in the way it differentiates the db headers and
+  such and its just a mess.
--- nmh-1.2.orig/debian/README.Debian
+++ nmh-1.2/debian/README.Debian
@@ -0,0 +1,55 @@
+$Debian: nmh/debian/README.Debian,v 1.3 2001/11/08 22:47:04 dsp Exp $
+
+nmh for Debian GNU/Linux
+------------------------
+
+This package conflicts, replaces, and provides the mh package.
+
+Its configuration files are in /etc/nmh, but it uses /usr/bin/mh/ and
+/usr/lib/mh/ (rather than nmh) to avoid confusing exmh and other front
+ends.
+
+Please read /usr/share/doc/nmh/DIFFERENCES.gz to find out about what's
+different from MH.
+
+
+repl
+----
+One of the differences between MH and nmh is the repl command.  The default
+reply template no longer contains the Cc: header line.  Instead, there is a
+new reply template file `replgroupcomps' which is used when repl is invoked
+with the -group switch.
+
+exmh
+----
+If you use a version of exmh older than 2.0.2-2, please add the following
+to your ~/.exmh-defaults file to invoke `repl -group' when you use the
+Reply All menu item:
+
+*Mops.reply.m.c_replyall: Msg_Reply -group
+
+scan
+----
+To see non-ASCII characters in MIME-encoded headers in a scan listing, you
+need to set the MM_CHARSET environment variable to your native character
+set, and the LC_CTYPE environment variable to a locale using that character
+set.  For example:
+
+export MM_CHARSET=ISO-8859-1
+export LC_CTYPE=en_US.ISO-8859-1
+
+metamail
+--------
+The mhn program has been configured to use metamail to automatically invoke
+the appropriate helper applications for MIME messages.  The metamail
+package must be installed to use this functionality.  If you do not wish to
+use metamail, please read the manual page mhn(1) and edit the file
+/etc/nmh/mhn.defaults.
+
+spost
+-----
+Normally, nmh sends mail by starting a SMTP session with the local host.
+If you want to invoke the MTA directly, include the following line into
+your ~/.mh_profile:
+
+postproc: /usr/lib/mh/spost
--- nmh-1.2.orig/debian/NEWS
+++ nmh-1.2/debian/NEWS
@@ -0,0 +1,10 @@
+NEWS FOR nmh-1.1-release-4
+--------------------------
+
+This release changes the db library dependency to db4.2. This may cause an
+odd error from slocal, as in bug #186412:
+
+slocal: unable to perform dbm_open on /home/user/Mail/.maildelivery: Invalid argument
+
+This error is correctable by removing the file called .maildelivery.db your Mail/
+directory; this file is the list of message ids used by supressdup.
--- nmh-1.2.orig/debian/changelog
+++ nmh-1.2/debian/changelog
@@ -0,0 +1,543 @@
+nmh (1.2-3) unstable; urgency=low
+
+  * Apply patches from #399271 by Dean Gaudet.
+    + 04-fix-64bit-issues-399271 fixes warnings
+      on architectures where sizeof(int) != 
+      sizeof(void *) such as AMD64.
+    + 05-segfault-399271 fixes segfaults
+      caused by gcc optimizing away NULL tests
+      (Closes: #399271, #420653, #425638) Thanks
+      to Matt Taggart and Sanjoy Mahajan for
+      testing Dean's fix.
+  
+ -- Nick Rusnov <nickrusnov@debian.org>  Thu, 31 May 2007 10:55:37 -0700
+
+nmh (1.2-1) unstable; urgency=low
+  
+  * New upstream release. (Closes: #344367).
+  * Remove upstream applied patches and fixes:
+	  02-sasl-fix.dpatch
+          04-stdouterr-fflush-261592.dpatch
+          05-crossdir-hardlink-238456.dpatch
+          06-vfork-143485.dpatch
+          07-annotation-277199.dpatch
+          08-flexfix-320090.dpatch
+          09-kpoperror-320069.dpatch
+          10-db4-289506.dpatch
+   * Performance bug in post (upstream #7917) fixed. (Closes: #226825)
+   * mhshow, etc. crash bug fixed upstream. (Closes: #245932)
+   * The vfork debocle is resolved. (Closes: #143485)
+   * The manual page for mh_profile properly describes lowercase
+     environment variables as internal. (Closes: #146449)
+   * Patch from BTS to fix crash when message filename overflows int
+     whon converted applied upstream. (Closes: #202667)
+   * ^^ (Closes: #202669)
+   * Upstream fixed the configure to not break if sendmail isn't
+     available in path, which caused it to be set perminantly to none. 
+     (Closes: #390709) 
+   * Nudge libdb depend to 4.5.
+   * Build with CFLAGS set to -g. (Closes: #335614)
+   * Make a bit of adjustment to the rules to come into compliance
+     with newer debhelper. Also bump debhelper compat to 4
+     (Closes: #393322)
+   * Install upstream ChangeLog.
+   * Update docs list. Remove ancient changelogs from being installed,
+     install new READMEs.
+   * Delete conffile list. Let dh_conffiles figure things out.
+   * Updated copyright file.
+  
+ -- Nick Rusnov <nickrusnov@debian.org>  Wed,  1 Nov 2006 22:20:57 -0800 
+	
+nmh (1.1-release-4) unstable; urgency=low
+
+  * patches/07-annotation-277199.dpatch: Slight modification
+    to fix annotation as per upstream. Submitted by Norman Ramsey.
+    (Closes: 277199).
+  * patches/08-flexfix-320090.dpatch: Slight change to makefile
+    in sbr to properly generate dtimep.c with flex. (Closes: #320090)
+  * patches/09-kpoperror-320069.dpatch: Fixes error message when
+    kpop is not compiled in (as it isn't). (Closes: #320069)
+  * Changed rules file to manually delete sbr/dtimep.c in clean target.
+  * Nudge libdb depends to 4.2
+  * patches/10-db4-289506.dpatch: Hardcode in includes for db4 (as db.h)
+    and modify the Makefile.in to link this library directly (so as to
+    not have to worry about breaking configure and whatnot which seems 
+    all copacetic aside from this). (Closes: #289506)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Wed, 24 Aug 2005 15:24:07 -0700
+
+nmh (1.1-release-3) unstable; urgency=low
+
+  * patches/04-stdouterr-fflush-261592.dpatch: Check error value
+    of stdout writes to catch piping errors and what not. (Closes: #261592)
+    + fflush before checking error in replsbr.c.
+    + Thanks to Harald Geyer for this patch.
+  * patches/05-crossdir-hardlink-238456.dpatch: Remove the creation
+    of the only cross-dir hardlink in nmh, which was surely the cause of
+    upgrade problmes if /usr/ and /usr/lib are on different partitions.
+    I'm not bothering to replace the link. You can find this file in
+    /usr/bin/mh. (Closes: 238456)
+  * patches/06-vfork-143485.dpatch: Alias vfork to fork on Linux systems
+    as it has been suggested that the incorrect error message in #143485
+    is caused by the misuse of vfork.
+    + Thanks to Harald Geyer again for this one.
+     
+ -- Nick Rusnov <nickrusnov@debian.org>  Thu,  5 Aug 2004 10:10:33 -0700
+
+nmh (1.1-release-2) unstable; urgency=low
+
+  * This is a trivial fix to the manpage sections problem to keep it
+    from mocking me further. Die die die. But one wonders how long
+    has this problem been lurking, and why nobody noticed it before?
+    (Closes: #261089)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Fri, 23 Jul 2004 10:13:29 -0700
+
+nmh (1.1-release-1) unstable; urgency=low
+
+  * New upstream release (1.1). (Closes: #223310)
+    + Upstream merged most debian package patches.
+    + See upstream changelog for other fixes and changes.
+  * Using dpatch to manage debian patches now.
+  * Reverted krb4 support. Will re-enable when both krb and apop
+    versions can be build at the same time. (Closes: #204597)
+  * Now Depend on sasl2-dev.
+  * patches/02-sasl-fix.dpatch: build with proper sasl2 includes.
+  * patches/01-manpages-sections-fix-194349.dpatch : ensure that
+    the proper manpages go into section 7.
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Mon,  1 Mar 2004 14:43:28 -0800
+
+nmh (1.1-RC1-3) unstable; urgency=low
+
+  * Enabled krb4 support. Some hacking in configure.in. (Closes: #135976)
+  * Removed full stop from shortdesc.
+  * Updated standards to version 3.5.10.
+  * Added bash_completions script by Wade Richards. (Closes: #197873)
+  * Fixed duplicate conffile.
+ 
+ -- Nick Rusnov <nickrusnov@debian.org>  Fri, 20 Jun 2003 09:31:54 -0700
+  
+nmh (1.1-RC1-2) unstable; urgency=low
+  
+  * Re-updated config.guess from latest autotools. Should close
+    #194537 but I will close on a good hppa build.
+  * Applied patch from old package nmh to move nmh and mh-format 
+    manpages to section 7 in the manual. This incidently fixes the 
+    dangling symlink to mh.7 (Closes: #194349)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Tue, 27 May 2003 09:23:37 -0700
+
+nmh (1.1-RC1-1) unstable; urgency=low
+
+  * Taking over from the old maintainer. (Closes: #192654)
+  * New Upstream version. (Closes: #168099)
+  * Made a solid fix for all the libdb stuff (compile with correct
+    libraries and headers). (Closes: #155968, #155852, #156020, #156150, #165297)
+  * Applied patch to allow Content-Transfer-Encoding: binary. (Closes: #136976)
+  * Applied fix for mh-format.man. (Closes: #143427)
+  * Applied patch to make slocal work as documented. (Closes: #149745)
+  * Adjusted the constants in mts/smtp/smtp.c to comply with the SHOULDs
+    in RFC 1123. (Closes: 152728)
+  * Changed default MTS method to sendmail from smtp in debian/rules (Closes: #152729)
+  * Changed scan.default to use five digits for message numbers. (Closes: #182503)
+  * Applied patch to enable draft_from masquerading in spost. (Closes: #144098)
+  * Applied typo fix to nmh.man. (Closes: #181867)
+  * Added some useful suggests:. (Closes: #171307)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Tue, 20 May 2003 15:12:59 -0700
+
+nmh (1.0.4+dev-20010317-1.1) unstable; urgency=low
+
+  * Non Maintainer Upload
+  * Compiled with libdb2 
+    (Closes: #155968, #155852, #156020, #156150, #165297)
+
+ -- Julien LEMOINE <speedblue@debian.org>  Sun, 16 Mar 2003 16:53:27 +0100
+
+nmh (1.0.4+dev-20010317-1) unstable; urgency=low
+
+  * Update to the latest CVS snapshot which I have marked 20010317, because
+    the most recent commits were made on the March 17, 2001.
+  * Bring up to par with Debian Policy 3.5.6.
+  * Fix sbr/mts.c so that it discards trailing whitespace from values when
+    reading mts.conf.  (closes: Bug#112505)
+  * Applied patch submitted by Colin Watson <cjw44@flatline.org.uk> that
+    fixed a bug in the forw(1) and mhstore(1) man pages which caused groff
+    to eat a line.  (closes: Bug#90286)
+  * The original patch to man/Makefile.in which moved the mh-chart and nmh
+    man pages from section one to seven was inadequate, but it has now been
+    fixed.
+  * Provide a symbolic link for the nmh(7) man page so that it is
+    accessible as mh(7) too.  (closes: Bug#100482)
+  * Fix the S1G bug in sbr/fmt_scan.c.
+  * Make /etc/nmh/rcvdistcomps.outbox a conffile.
+  * Install mh_profile(5) as a symbolic link to mh-profile(5), not a hard
+    link.
+  * New package maintainer.  My thanks to the previous maintainer, Ruud de
+    Rooij, for all his work.
+
+ -- Doug Porter <dsp@debian.org>  Sat, 10 Nov 2001 13:03:30 -0500
+
+nmh (1.0.4+dev-20010115-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Moved nmh and mh-chart man pages to section 7 (closes: #82370).
+  * Changed configure.in so that it detects libdb1.
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon, 15 Jan 2001 14:14:04 -0600
+
+nmh (1.0.4+dev-20000926-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Enabled SASL support.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 26 Sep 2000 21:43:22 +0200
+
+nmh (1.0.4+dev-20000807-1) unstable; urgency=low
+
+  * New upstream CVS snapshot (fixes: #66460, #67797).
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon,  7 Aug 2000 19:44:06 +0200
+
+nmh (1.0.4+dev-20000612-1) unstable; urgency=low
+
+  * New upstream CVS snapshot (closes: #61877).
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon, 12 Jun 2000 20:35:18 +0200
+
+nmh (1.0.4+dev-20000607-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Added versioned dependency on netbase for "pop3" service entry.
+  * Added versioned dependency on base-files for /var/mail location.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed,  7 Jun 2000 18:50:40 +0200
+
+nmh (1.0.4-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri, 21 Apr 2000 15:39:20 +0200
+
+nmh (1.0.2-7) frozen unstable; urgency=high
+
+  * Added `flex' to Build-Depends (closes: #59741).
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 23 Mar 2000 18:53:17 +0100
+
+nmh (1.0.2-6) frozen unstable; urgency=high
+
+  * Applied patch to fix security hole which allowed untrusted shell
+    code to be executed.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 27 Jan 2000 20:56:15 +0100
+
+nmh (1.0.2-5) unstable; urgency=low
+
+  * Updated Build-Depends (see: #54446).
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 11 Jan 2000 14:14:02 -0600
+
+nmh (1.0.2-4) unstable; urgency=low
+
+  * Standards-Version: 3.1.1.
+  * Recompiled for ncurses 5.
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon,  3 Jan 2000 16:57:50 -0600
+
+nmh (1.0.2-3) unstable; urgency=low
+
+  * Fixed interaction between specifying -cc in profile and -group on 
+    command-line (closes: #52545).
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon, 20 Dec 1999 10:39:27 -0600
+
+nmh (1.0.2-2) unstable; urgency=low
+
+  * Added documentation for -build and -file switches to repl and forw 
+    manpages (patch from Peter Maydell) (closes: #42430).
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu,  2 Dec 1999 20:31:38 +0100
+
+nmh (1.0.2-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri, 29 Oct 1999 16:58:06 +0200
+
+nmh (1.0.1-19991027-1) unstable; urgency=low
+
+  * New upstream snapshot release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed, 27 Oct 1999 09:19:35 +0200
+
+nmh (1.0.1-19990926-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Minor cleanup of debian/rules.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun, 26 Sep 1999 13:37:18 +0200
+
+nmh (1.0.1-3) unstable; urgency=low
+
+  * Standards-Version: 3.0.1.
+  * Use value in /etc/mailname as originating domain (closes: #43829).
+  * Minor wording change in copyright file.
+  * Added section about spost to README.Debian.
+  * Added References: header to replcomps and replgroupcomps.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed,  8 Sep 1999 19:42:29 +0200
+
+nmh (1.0.1-2) unstable; urgency=low
+
+  * Fixed show to propagate -file flag properly to mhshow.
+  * Fixed invocations of mkstemp.
+  * Override autoconf detection of /var/mail and use /var/spool/mail for
+    now.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed, 11 Aug 1999 20:51:40 +0200
+
+nmh (1.0.1-1) unstable; urgency=low
+
+  * New upstream release. 
+  * Updated location of upstream archive.
+  * Recompiled for liblockfile 1.0.
+  * inc is no longer installed setgid mail.
+  * Cleaned up debian/rules a bit.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun, 27 Jun 1999 19:48:19 +0200
+
+nmh (1.0-7) unstable; urgency=low
+
+  * Install mhtest in /usr/lib/mh instead of /usr/bin/mh.
+  * Cleaned up debian/rules a bit.
+  * Better fix for spost not finding alias file.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  4 Apr 1999 10:27:05 +0200
+
+nmh (1.0-6) unstable; urgency=low
+
+  * Really fix repl breaking header lines in middle of addresses (previous
+    fix introduced a blank header line in some cases).
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri,  2 Apr 1999 16:21:34 +0200
+
+nmh (1.0-5) unstable; urgency=low
+
+  * Enabled APOP support.
+  * Changed repl to not break header lines in the middle of addresses
+    (closes: #10376).
+  * Install sendfiles in /usr/bin/mh instead of /usr/lib/mh.
+  * Modified sendfiles and mhstore to use gzip instead of compress.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 30 Mar 1999 20:39:21 +0200
+
+nmh (1.0-4) unstable; urgency=low
+
+  * Fixed double fclose() problem in inc (closes: #34346).
+  * Applied patches from Kimmo Suominen:
+    - updated patch for m_getfld.c.
+    - fix packf not putting newline after From_ header.
+    - allow `q' to quit mhshow, and `n' to skip to next part.
+    - allow 8bit encoding for message/* content type.
+  * Recompiled for glibc 2.1.
+  * Modified rcvtty and slocal to use utmp access functions instead of
+    reading utmp file directly.
+  * Modified lock_file.c to use liblockfile for locking the mail spool.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun, 28 Mar 1999 14:11:41 +0200
+
+nmh (1.0-3) unstable; urgency=low
+
+  * Applied fix to m_getfld.c from John Gill.  Should fix inc segmentation
+    fault problem.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sat, 27 Mar 1999 19:19:41 +0100
+
+nmh (1.0-2) unstable; urgency=low
+
+  * Fixed show to propage -file flag to mhshow.
+  * Workaround for spost not finding aliases file (closes: #34190).
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  7 Mar 1999 10:45:26 +0100
+
+nmh (1.0-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  7 Feb 1999 12:24:51 +0100
+
+nmh (0.27-0.28-pre12-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue,  2 Feb 1999 22:03:29 +0100
+
+nmh (0.27-0.28-pre10-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sat, 23 Jan 1999 10:24:04 +0100
+
+nmh (0.27-0.28-pre8-3) frozen unstable; urgency=low
+
+  * Forgot to specify `frozen' in last upload.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Dec 1998 21:01:45 +0100
+
+nmh (0.27-0.28-pre8-2) unstable; urgency=low
+
+  * Recompiled to avoid dependency on libc6 >= 2.0.7u.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Dec 1998 17:00:29 +0100
+
+nmh (0.27-0.28-pre8-1.1) frozen unstable; urgency=low
+
+  * non maintainer, sparc only upload
+  * use db1/ndbm.h with glibc2.1 instead of ndbm.h
+
+ -- Christian Meder <meder@isr.uni-stuttgart.de>  Wed, 25 Nov 1998 13:54:08 +0100
+
+nmh (0.27-0.28-pre8-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 15 Oct 1998 07:47:44 +0200
+
+nmh (0.27-0.28-pre7-1) unstable; urgency=low
+
+  * New upstream release.
+  * Updated exmh section in README.Debian.
+  * Recompiled for ncurses 4.2.
+  * Fixed /etc/nmh/mhn.defaults.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu,  1 Oct 1998 21:12:20 +0200
+
+nmh (0.27-0.28-pre5-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri,  4 Sep 1998 18:42:41 +0200
+
+nmh (0.27-0.28-pre4-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 25 Aug 1998 21:14:12 +0200
+
+nmh (0.27-0.28-pre3-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 20 Aug 1998 09:11:17 +0200
+
+nmh (0.27-0.28-pre2-1) unstable; urgency=low
+
+  * New upstream release, including security fixes.
+  * Security patch no longer included.
+  * Applied patches by Peter Maydell <pmaydell@chiark.greenend.org.uk>:
+    - prevent segmentation fault when ~/.mh_profile doesn't end in a
+      newline.
+    - handle out-of-diskspace situations more gracefully.
+  * Applied patches from OpenBSD (thanks to Topi Miettinen
+    <tom@medialab.sonera.net> for providing them).
+  * Updated README.Debian (closes: #21600, #24687).
+  * tmac.h no longer tagged as a conffile.
+  * Added symbolic links in /usr/lib/mh to avoid confusing mh-e
+    (closes: #24723).
+  * Minor modifications to enable building on Sparc.
+  * Changed priority to optional to match Debian archive.
+  * Changed maintainer e-mail address.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed,  5 Aug 1998 20:24:35 +0200
+
+nmh (0.26-2) unstable; urgency=high
+
+  * Applied Alan Cox's security patches.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Wed,  3 Jun 1998 21:16:24 +0200
+
+nmh (0.26-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Tue, 26 May 1998 21:49:02 +0200
+
+nmh (0.25-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Sat,  9 May 1998 10:57:17 +0200
+
+nmh (0.24-5) frozen unstable; urgency=low
+
+  * Changed metamail dependency from Suggests to Recommends (closes:
+    #21715).
+  * Updated package description to match MH's description.
+  * Added Replaces: mh.
+  * Lintian-clean.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Tue, 21 Apr 1998 15:26:33 +0200
+
+nmh (0.24-4) frozen unstable; urgency=low
+
+  * Updated /etc/nmh/mhn.defaults to use metamail (closes: #21189).
+  * Updated README.Debian.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Fri, 17 Apr 1998 19:34:31 +0200
+
+nmh (0.24-3) unstable; urgency=low
+
+  * New maintainer.
+  * Changed to debhelper.
+  * Made /usr/bin/sensible-{pager,editor} the default.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Fri, 10 Apr 1998 15:37:23 +0100
+
+nmh (0.24-2) frozen unstable; urgency=low
+
+  * _really_ enable pop (stupid typo broke last attempt)
+
+ -- Philip Hands <phil@hands.com>  Tue, 31 Mar 1998 18:40:50 +0100
+
+nmh (0.24-1) unstable; urgency=low
+
+  * New upstream release
+  * Made /usr/bin/mh/inc set-group-id mail (closes: #18660)
+  * Enabled POP (closes: #18491)
+  * Fixed file names starting with // in man pages
+  * Uses nmh's own ruserpass so ~/.netrc is read even if running setgid
+    (thanks to Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl> for these
+    patches)
+
+ -- Philip Hands <phil@hands.com>  Mon, 30 Mar 1998 11:33:09 +0100
+
+nmh (0.22-1) unstable; urgency=low
+
+  * New upstream release (closes: #17214)
+  
+ -- Philip Hands <phil@hands.com>  Tue, 17 Feb 1998 11:03:53 +0000
+
+nmh (0.17-1) unstable; urgency=low
+
+  * New upstream release
+  * compile with libc6
+
+ -- Philip Hands <phil@hands.com>  Tue, 19 Aug 1997 11:38:07 +0100
+
+nmh (0.16-1) unstable; urgency=low
+
+  * New upstream release
+  * patched to make use of PAGER & EDITOR envariables
+
+ -- Philip Hands <phil@hands.com>  Sun, 20 Jul 1997 21:26:02 +0100
+
+nmh (0.14-1) experimental; urgency=low
+
+  * Initial Release.
+
+ -- Philip Hands <phil@hands.com>  Wed, 21 May 1997 17:54:23 +0100
+
+
+$Debian: nmh/debian/changelog,v 1.12 2001/11/10 18:39:17 dsp Exp $
--- nmh-1.2.orig/debian/rules
+++ nmh-1.2/debian/rules
@@ -0,0 +1,78 @@
+#!/usr/bin/make -f
+#
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+build: patch
+	dh_testdir
+	./configure \
+	  --prefix=                              \
+	  --bindir='$${prefix}/usr/bin/mh'       \
+	  --sysconfdir='$${prefix}/etc/nmh'      \
+	  --libdir='$${prefix}/usr/lib/mh'       \
+	  --mandir='$${prefix}/usr/share/man'    \
+	  --with-editor=/usr/bin/sensible-editor \
+	  --with-pager=/usr/bin/sensible-pager	 \
+	  --with-mts=sendmail                  	 \
+	  --with-cyrus-sasl=/usr/include         \
+	  --enable-pop                           \
+	  --enable-apop                          \
+	  --enable-masquerade=''
+	$(MAKE) CFLAGS="-O2 -Wall -g" LDFLAGS=
+	touch build
+
+clean: clean-patched unpatch
+clean-patched:
+	dh_testdir
+	dh_testroot
+	-rm -f build
+	-make distclean
+	dh_clean
+	-rm -f sbr/dtimep.c
+
+binary-indep:	build
+# nothing to do
+
+binary-arch: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	make install prefix=`pwd`/debian/nmh
+
+	dh_installdocs
+	dh_installexamples
+	dh_installchangelogs
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+
+	# override nmh-provided mhn.defaults
+	install -p -m 644 debian/mhn.defaults debian/nmh/etc/nmh/mhn.defaults
+	# install bash-completions
+	install -D -p -m 644 debian/nmh.bash_completions debian/nmh/etc/bash_completion.d/nmh
+
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_makeshlibs
+	dh_md5sums
+	dh_builddeb
+
+patch: patch-stamp
+patch-stamp: 
+	dpatch apply-all
+	# dpatch call-all -a=pkg-info >patch-stamp
+
+unpatch:
+	dpatch deapply-all
+	rm -rf patch-stamp debian/patched
+
+source diff:                                                                  
+	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+
+binary:	binary-indep binary-arch
+.PHONY: clean binary binary-arch binary-indep
--- nmh-1.2.orig/debian/control
+++ nmh-1.2/debian/control
@@ -0,0 +1,28 @@
+Source: nmh
+Section: mail
+Priority: optional
+Maintainer: Nick Rusnov <nickrusnov@debian.org>
+Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 2.0.40), dpatch, libncurses5-dev, liblockfile-dev (>= 1.01), libsasl2-dev, libdb4.5-dev, flex
+
+Package: nmh
+Architecture: any
+Depends: ${shlibs:Depends}, netbase (>= 3.16-1), base-files (>= 2.1.16)
+Provides: mail-reader, mh
+Recommends: mail-transport-agent, metamail
+Suggests: exmh, mh-e, xmh, mh-book
+Conflicts: mh
+Replaces: mh
+Description: A set of electronic mail handling programs
+ This is the nmh mail user agent (reader/sender), a command-line based mail
+ reader that is powerful and extensible.  nmh is an excellent choice for
+ people who receive and process a lot of mail.
+ .
+ Unlike most mail user agents, nmh is not a single program, rather it is a
+ set of programs that are run from the shell.  This allows the user to
+ utilize the full power of the Unix shell in coordination with nmh.  Various
+ front-ends are available, such as mh-e (an emacs mode), xmh, and exmh (X11
+ clients).
+ .
+ nmh was originally based on MH version 6.8.3, and is intended to be a
+ (mostly) compatible drop-in replacement for MH.
--- nmh-1.2.orig/debian/copyright
+++ nmh-1.2/debian/copyright
@@ -0,0 +1,42 @@
+This is the Debian GNU/Linux prepackaged version of nmh, an electronic mail
+handling system. 
+
+This package was put together by Philip Hands <phil@hands.com> on 26 April
+1997.  On 10 April 1998 Ruud de Rooij <ruud@debian.org> took over the
+package and maintained it until 10 November 2001.  Doug Porter
+<dsp@debian.org> maintained it until it was adopted by Nick Rusnov 
+<nickrusnov@debian.org>
+
+The sources were obtained from: http://nmh.nongnu.org/ 
+
+Copyright (c) 2002, the authors of nmh
+All rights reserved.
+
+Definition: The "authors of nmh" includes anyone, past or present, who has
+worked on the nmh source code.
+
+Redistribution and use in source and binary forms, with or without modification,
+are permitted provided that the following conditions are met:
+
+* Redistributions of source code must retain the above copyright notice, this
+  list of conditions and the following disclaimer.
+
+* Redistributions in binary form must reproduce the above copyright notice, this
+  list of conditions and the following disclaimer in the documentation and/or
+  other materials provided with the distribution.
+  
+* Neither the name "the authors of nmh", nor variations such as "The nmh
+  Developers", nor the names of the individual contributors may be used to
+  endorse or promote products derived from this software without specific prior
+  written permission.
+
+THIS SOFTWARE IS PROVIDED BY ITS AUTHORS ``AS IS'' AND ANY EXPRESS OR IMPLIED
+WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+EVENT SHALL THE AUTHORS OF NMH BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
+OF SUCH DAMAGE.
--- nmh-1.2.orig/debian/docs
+++ nmh-1.2/debian/docs
@@ -0,0 +1,15 @@
+README
+docs/COMPLETION-TCSH
+docs/COMPLETION-ZSH
+docs/DIFFERENCES
+docs/FAQ
+docs/MAIL.FILTERING
+docs/MAILING-LISTS
+docs/README.about
+docs/README.developers
+docs/README-ATTACHMENTS
+docs/README-HOOKS
+docs/README.manpages
+docs/README.SASL
+docs/TODO
+ChangeLog
--- nmh-1.2.orig/debian/links
+++ nmh-1.2/debian/links
@@ -0,0 +1,5 @@
+etc/nmh/components usr/lib/mh/components
+etc/nmh/replcomps usr/lib/mh/replcomps
+usr/share/man/man1/folder.1.gz usr/share/man/man1/folders.1.gz
+usr/share/man/man1/flist.1.gz usr/share/man/man1/flists.1.gz
+usr/share/man/man7/nmh.7.gz usr/share/man/man7/mh.7.gz
--- nmh-1.2.orig/debian/mhn.defaults
+++ nmh-1.2/debian/mhn.defaults
@@ -0,0 +1,12 @@
+#: $Debian: nmh/debian/mhn.defaults,v 1.2 2001/11/08 22:35:00 dsp Exp $
+#:
+mhshow-show-application: %p/usr/bin/metamail -b -p -c 'application/%s' '%F'
+mhshow-show-audio: %p/usr/bin/metamail -b -d -p -c 'audio/%s' -p '%F'
+mhshow-show-image: %p/usr/bin/metamail -b -d -p -c 'image/%s' -p '%F'
+mhshow-show-video: %p/usr/bin/metamail -b -d -p -c 'video/%s' -p '%F'
+mhshow-show-text/html: %p/usr/bin/metamail -b -d -p -c 'text/html' -p '%F'
+mhshow-show-text/richtext: %p/usr/bin/richtext -p '%F'
+mhstore-store-application/PostScript: %m%P.ps
+mhstore-store-text/richtext: %m%P.rt
+mhstore-store-text: %m%P.txt
+mhstore-store-video/mpeg: %m%P.mpg
--- nmh-1.2.orig/debian/patches/00list
+++ nmh-1.2/debian/patches/00list
@@ -0,0 +1,4 @@
+01-manpages-sections-fix-194349.dpatch
+03-manpages-sections-fix-261089.dpatch
+04-fix-64bit-issues-399271.dpatch
+05-segfault-399271.dpatch
--- nmh-1.2.orig/debian/patches/05-segfault-399271.dpatch
+++ nmh-1.2/debian/patches/05-segfault-399271.dpatch
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+## 05-segfault-399271.dpatch by dean gaudet <dean@arctic.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: This patch fixes a segfault caused by GCC throwing away
+## DP: nonnull tests.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+@DPATCH@
+diff -udr nmh-1.2.orig/h/nmh.h nmh-1.2/h/nmh.h
+--- nmh-1.2.orig/h/nmh.h	2007-05-21 23:41:43.577421877 -0700
++++ nmh-1.2/h/nmh.h	2007-05-21 23:41:57.149076687 -0700
+@@ -41,5 +41,7 @@
+ 
+ #if STDC_HEADERS || HAVE_STRING_H
+ # include <string.h>
++# define strcasecmp my_strcasecmp
++# define strncasecmp my_strncasecmp
+ /* An ANSI string.h and pre-ANSI memory.h might conflict.  */
+ # if !STDC_HEADERS && HAVE_MEMORY_H
+ #  include <memory.h>
--- nmh-1.2.orig/debian/patches/03-manpages-sections-fix-261089.dpatch
+++ nmh-1.2/debian/patches/03-manpages-sections-fix-261089.dpatch
@@ -0,0 +1,82 @@
+#! /bin/sh -e
+## 03-manpages-sections-fix-261089.dpatch by Nick Rusnov <nickrusnov@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: This fixes the stupid references and section numbercs for nmh and mh-chart.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+@DPATCH@
+diff -udr nmh-1.1-release/man/Makefile.in nmh-1.1-release-manfix2/man/Makefile.in
+--- nmh-1.1-release/man/Makefile.in	2004-07-23 10:25:04.000000000 -0700
++++ nmh-1.1-release-manfix2/man/Makefile.in	2004-07-23 10:26:03.000000000 -0700
+@@ -116,6 +116,7 @@
+ 	echo 's,%default_pager%,$(default_pager),g' >> $@
+ 	echo 's,%manext1%,$(manext1),g' >> $@
+ 	echo 's,%manext5%,$(manext5),g' >> $@
++	echo 's,%manext7%,$(manext7),g' >> $@
+ 	echo 's,%manext8%,$(manext8),g' >> $@
+ 	echo '$(POPSED)' >> $@
+ 	echo '/%components%/r $(top_srcdir)/etc/components' >> $@
+diff -udr nmh-1.1-release/man/mh-chart.man nmh-1.1-release-manfix2/man/mh-chart.man
+--- nmh-1.1-release/man/mh-chart.man	2003-10-24 13:17:36.000000000 -0700
++++ nmh-1.1-release-manfix2/man/mh-chart.man	2004-07-23 10:25:15.000000000 -0700
+@@ -2,7 +2,7 @@
+ .\" %nmhwarning%
+ .\" $Id: mh-chart.man,v 1.4.2.1 2003/10/24 20:14:46 kenh Exp $
+ .\"
+-.TH MH-CHART %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
++.TH MH-CHART %manext7% "%nmhdate%" MH.6.8 [%nmhversion%]
+ .SH NAME
+ mh-chart \- Chart of nmh Commands
+ .SH SYNOPSIS
+@@ -836,4 +836,4 @@
+ .ad
+ 
+ .SH "SEE ALSO"
+-nmh(1)
++nmh(7)
+diff -udr nmh-1.1-release/man/mh-profile.man nmh-1.1-release-manfix2/man/mh-profile.man
+--- nmh-1.1-release/man/mh-profile.man	2003-10-24 13:17:21.000000000 -0700
++++ nmh-1.1-release-manfix2/man/mh-profile.man	2004-07-23 10:25:15.000000000 -0700
+@@ -877,7 +877,7 @@
+ .fi
+ 
+ .SH "SEE ALSO"
+-nmh(1), environ(5), mh-sequence(5)
++nmh(7), environ(5), mh-sequence(5)
+ 
+ .SH HISTORY
+ The
+diff -udr nmh-1.1-release/man/nmh.man nmh-1.1-release-manfix2/man/nmh.man
+--- nmh-1.1-release/man/nmh.man	2003-10-24 13:17:36.000000000 -0700
++++ nmh-1.1-release-manfix2/man/nmh.man	2004-07-23 10:25:15.000000000 -0700
+@@ -2,7 +2,7 @@
+ .\" %nmhwarning%
+ .\" $Id: nmh.man,v 1.5.2.2 2003/10/24 20:14:47 kenh Exp $
+ .\"
+-.TH NMH %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
++.TH NMH %manext7% "%nmhdate%" MH.6.8 [%nmhversion%]
+ .SH NAME
+ nmh \- new MH message system
+ .SH SYNOPSIS
+@@ -296,4 +296,4 @@
+ Send bug reports and suggestions to
+ .IR nmh-workers@mhost.com .
+ .SH "SEE ALSO"
+-mh-chart(1)
++mh-chart(7)
--- nmh-1.2.orig/debian/patches/04-fix-64bit-issues-399271.dpatch
+++ nmh-1.2/debian/patches/04-fix-64bit-issues-399271.dpatch
@@ -0,0 +1,189 @@
+#! /bin/sh -e
+## 04-fix-64bit-issues-399271.dpatch by dean gaudet <dean@arctic.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: This fixes amd64-specific build warnings due to sizeof(int) !=
+## DP: sizeof(void *).
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+@DPATCH@
+diff -udr nmh-1.2.orig/ nmh-1.2/
+--- nmh-1.2.orig/sbr/fmt_scan.c	2007-05-21 22:08:08.385987915 -0700
++++ nmh-1.2/sbr/fmt_scan.c	2007-05-21 22:09:51.159105255 -0700
+@@ -255,7 +255,7 @@
+ 	    || !(cp = strchr(mbox += idx + strlen (key), '/')))
+ 	return 0;
+ 
+-    snprintf (buffer, buffer_len, "%*.*s", cp - mbox, cp - mbox, mbox);
++    snprintf (buffer, buffer_len, "%*.*s", (int)(cp - mbox), (int)(cp - mbox), mbox);
+     return 1;
+ }
+ 
+--- nmh-1.2.orig/sbr/lock_file.c	2007-05-21 22:10:02.210795073 -0700
++++ nmh-1.2/sbr/lock_file.c	2007-05-21 22:10:12.638502370 -0700
+@@ -493,7 +493,7 @@
+     bplen += tmplen;
+ #else
+     if (cp != file) {
+-	snprintf (bp, sizeof(li->curlock), "%.*s", cp - file, file);
++	snprintf (bp, sizeof(li->curlock), "%.*s", (int)(cp - file), file);
+ 	tmplen = strlen (bp);
+ 	bp    += tmplen;
+ 	bplen += tmplen;
+--- nmh-1.2.orig/sbr/m_backup.c	2007-05-21 22:10:29.590026473 -0700
++++ nmh-1.2/sbr/m_backup.c	2007-05-21 22:10:40.141730200 -0700
+@@ -22,7 +22,7 @@
+ 	snprintf(buffer, sizeof(buffer), "%s%s",
+ 		BACKUP_PREFIX, cp);
+     else
+-	snprintf(buffer, sizeof(buffer), "%.*s%s%s", cp - file, file,
++	snprintf(buffer, sizeof(buffer), "%.*s%s%s", (int)(cp - file), file,
+ 		BACKUP_PREFIX, cp);
+ 
+     unlink(buffer);
+--- nmh-1.2.orig/sbr/m_getfld.c	2007-05-21 22:11:09.316921446 -0700
++++ nmh-1.2/sbr/m_getfld.c	2007-05-21 22:11:29.072375827 -0700
+@@ -699,10 +699,10 @@
+     if (cp) {
+ 	/* return path for UUCP style addressing */
+ 	dp = strchr (++cp, '\n');
+-	snprintf (rp, rplen, "%.*s!%.*s\n", dp - cp, cp, bp - ap, ap);
++	snprintf (rp, rplen, "%.*s!%.*s\n", (int)(dp - cp), cp, (int)(bp - ap), ap);
+     } else {
+ 	/* return path for standard domain addressing */
+-	snprintf (rp, rplen, "%.*s\n", bp - ap, ap);
++	snprintf (rp, rplen, "%.*s\n", (int)(bp - ap), ap);
+     }
+ 
+     /*
+--- nmh-1.2.orig/sbr/m_scratch.c	2007-05-21 22:11:38.268121797 -0700
++++ nmh-1.2/sbr/m_scratch.c	2007-05-21 22:11:45.303927411 -0700
+@@ -33,7 +33,7 @@
+     if ((cp = r1bindex (file, '/')) == file)
+ 	strncpy (buffer, tmpfil, sizeof(buffer));
+     else
+-	snprintf (buffer, sizeof(buffer), "%.*s%s", cp - file, file, tmpfil);
++	snprintf (buffer, sizeof(buffer), "%.*s%s", (int)(cp - file), file, tmpfil);
+     unlink (buffer);
+ 
+     return buffer;
+--- nmh-1.2.orig/sbr/mf.c	2007-05-21 22:12:24.410846588 -0700
++++ nmh-1.2/sbr/mf.c	2007-05-21 22:12:32.198631277 -0700
+@@ -433,7 +433,7 @@
+     while (isspace (*ap))
+ 	ap++;
+     if (cp)
+-	sprintf (adr, "%.*s", cp - ap, ap);
++	sprintf (adr, "%.*s", (int)(cp - ap), ap);
+     else
+ 	strcpy (adr, ap);
+     bp = adr + strlen (adr) - 1;
+--- nmh-1.2.orig/sbr/path.c	2007-05-21 22:11:56.443619600 -0700
++++ nmh-1.2/sbr/path.c	2007-05-21 22:12:16.211073263 -0700
+@@ -85,7 +85,7 @@
+ 	name += NCWD;
+ 
+     if (strcmp (name, DOTDOT) == 0 || strcmp (name, PWD) == 0) {
+-	snprintf (buffer, sizeof(buffer), "%.*s", cp - pwds, pwds);
++	snprintf (buffer, sizeof(buffer), "%.*s", (int)(cp - pwds), pwds);
+ 	return getcpy (buffer);
+     }
+ 
+@@ -94,7 +94,7 @@
+     else
+ 	cp = ep;
+ 
+-    snprintf (buffer, sizeof(buffer), "%.*s/%s", cp - pwds, pwds, name);
++    snprintf (buffer, sizeof(buffer), "%.*s/%s", (int)(cp - pwds), pwds, name);
+     return getcpy (buffer);
+ }
+ 
+--- nmh-1.2.orig/uip/annosbr.c	2007-05-21 22:12:49.394155779 -0700
++++ nmh-1.2/uip/annosbr.c	2007-05-21 22:13:00.665844024 -0700
+@@ -384,7 +384,7 @@
+ 		while (*cp && *cp++ != '\n')
+ 		    continue;
+ 		if (cp - sp)
+-		    fprintf (tmp, "%s: %*.*s", comp, cp - sp, cp - sp, sp);
++		    fprintf (tmp, "%s: %*.*s", comp, (int)(cp - sp), (int)(cp - sp), sp);
+ 	    } while (*cp);
+ 	    if (cp[-1] != '\n' && cp != text)
+ 		putc ('\n', tmp);
+--- nmh-1.2.orig/uip/mhbuildsbr.c	2007-05-21 22:13:25.841147532 -0700
++++ nmh-1.2/uip/mhbuildsbr.c	2007-05-21 22:13:44.884620511 -0700
+@@ -4213,7 +4213,7 @@
+ 	    while (*cp)
+ 		cp++;
+ 	    fprintf (stderr, "invalid MD5 digest (got %d octets)\n",
+-		     cp - bp);
++		     (int)(cp - bp));
+ 	}
+ 
+ 	return NOTOK;
+--- nmh-1.2.orig/uip/mhparse.c	2007-05-21 22:13:55.160336074 -0700
++++ nmh-1.2/uip/mhparse.c	2007-05-21 22:14:01.720154472 -0700
+@@ -2676,7 +2676,7 @@
+ 	    while (*cp)
+ 		cp++;
+ 	    fprintf (stderr, "invalid MD5 digest (got %d octets)\n",
+-		     cp - bp);
++		     (int)(cp - bp));
+ 	}
+ 
+ 	return NOTOK;
+--- nmh-1.2.orig/uip/dropsbr.c	2007-05-21 22:14:17.055729856 -0700
++++ nmh-1.2/uip/dropsbr.c	2007-05-21 22:14:43.726991149 -0700
+@@ -387,7 +387,7 @@
+ 			    fp = strchr(ep + 1, '\n');
+ 			tp = dctime(dlocaltimenow());
+ 			snprintf (buffer, sizeof(buffer), "From %.*s  %s",
+-				fp - ep, ep, tp);
++				(int)(fp - ep), ep, tp);
+ 		    } else if (!strncmp (buffer, "X-Envelope-From:", 16)) {
+ 			/*
+ 			 * Change the "X-Envelope-From:" field
+@@ -499,10 +499,10 @@
+     if ((dp = strchr(cp = r1bindex (file, '/'), '.')) == NULL)
+ 	dp = cp + strlen (cp);
+     if (cp == file)
+-	snprintf (buffer, sizeof(buffer), ".%.*s%s", dp - cp, cp, ".map");
++	snprintf (buffer, sizeof(buffer), ".%.*s%s", (int)(dp - cp), cp, ".map");
+     else
+ 	snprintf (buffer, sizeof(buffer), "%.*s.%.*s%s",
+-		cp - file, file, dp - cp, cp, ".map");
++		(int)(cp - file), file, (int)(dp - cp), cp, ".map");
+ 
+     return buffer;
+ }
+--- nmh-1.2.orig/uip/slocal.c	2007-05-21 22:14:51.174784819 -0700
++++ nmh-1.2/uip/slocal.c	2007-05-21 22:15:06.914348706 -0700
+@@ -1372,11 +1372,11 @@
+ 		    /* return path for UUCP style addressing */
+ 		    ep = strchr(++hp, '\n');
+ 		    snprintf (buffer, sizeof(buffer), "Return-Path: %.*s!%.*s\n",
+-			ep - hp, hp, cp - fp, fp);
++			(int)(ep - hp), hp, (int)(cp - fp), fp);
+ 		} else {
+ 		    /* return path for standard domain addressing */
+ 		    snprintf (buffer, sizeof(buffer), "Return-Path: %.*s\n",
+-			cp - fp, fp);
++			(int)(cp - fp), fp);
+ 		}
+ 
+ 		/* Add Return-Path header to message */
+
--- nmh-1.2.orig/debian/patches/01-manpages-sections-fix-194349.dpatch
+++ nmh-1.2/debian/patches/01-manpages-sections-fix-194349.dpatch
@@ -0,0 +1,143 @@
+#! /bin/sh -e
+## 01-manpages-sections-fix-194349.dpatch by Nick Rusnov <nickrusnov@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: This ensures the proper placement of certain manpages in section 7.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+@DPATCH@
+diff -udr nmh-1.1-release/man/Makefile.in nmh-1.1-release-manfix/man/Makefile.in
+--- nmh-1.1-release/man/Makefile.in	2003-10-24 13:17:36.000000000 -0700
++++ nmh-1.1-release-manfix/man/Makefile.in	2004-03-01 16:02:22.000000000 -0800
+@@ -21,6 +21,7 @@
+ mandir      = @mandir@
+ manext1     = 1
+ manext5     = 5
++manext7	    = 7
+ manext8     = 8
+ 
+ mailspool    = @mailspool@
+@@ -39,7 +40,7 @@
+ POPSED = @POPSED@
+ 
+ .SUFFIXES:
+-.SUFFIXES: .man .$(manext1) .$(manext5) .$(manext8)
++.SUFFIXES: .man .$(manext1) .$(manext5) .$(manext7) .$(manext8)
+ 
+ .man.$(manext1):
+ 	$(SEDMAN)
+@@ -47,14 +48,17 @@
+ .man.$(manext5):
+ 	$(SEDMAN)
+ 
++.man.$(manext7):
++	$(SEDMAN)
++
+ .man.$(manext8):
+ 	$(SEDMAN)
+ 
+ # man pages to install in $(mandir)/$(manext1)
+ MAN1SRC = ali. anno. burst. comp.		\
+        dist. flist. flists. folder. folders.	\
+-       forw. inc. install-mh. mark. mh-chart.	\
+-       nmh. mhbuild. mhl. mhlist. mhmail.	\
++       forw. inc. install-mh. mark. 		\
++       mhbuild. mhl. mhlist. mhmail.		\
+        mhn. mhparam. mhpath. mhshow.		\
+        mhstore. msgchk. msh.			\
+        next. packf. pick. prev.			\
+@@ -68,18 +72,21 @@
+        mh-mail. mh-profile. mh-sequence.	\
+        mh-tailor. mts.conf.
+ 
++MAN7SRC = nmh. mh-chart.
++
+ MAN8SRC = ap. conflict. dp. fmtdump.		\
+        mh-mts. post.
+ 
+ MAN1 = $(MAN1SRC:.=.$(manext1))
+ MAN5 = $(MAN5SRC:.=.$(manext5))
++MAN7 = $(MAN7SRC:.=.$(manext7))
+ MAN8 = $(MAN8SRC:.=.$(manext8))
+ 
+ # Since vmh is not built or distributed, neither should vmh.1 be
+ # MANEXTRA = vmh. 
+ 
+ # source for man pages
+-DIST_MANSRC = $(MAN1SRC) $(MAN5SRC) $(MAN8SRC)
++DIST_MANSRC = $(MAN1SRC) $(MAN5SRC) $(MAN7SRC) $(MAN8SRC)
+ DIST_MAN = $(DIST_MANSRC:.=.man)
+ 
+ # auxiliary files
+@@ -90,9 +97,9 @@
+ 
+ # ========= DEFAULT TARGET ==========
+ 
+-all: $(MAN1) $(MAN5) $(MAN8)
++all: $(MAN1) $(MAN5) $(MAN7) $(MAN8)
+ 
+-$(MAN1) $(MAN5) $(MAN8): man.sed
++$(MAN1) $(MAN5) $(MAN7) $(MAN8): man.sed
+ 
+ # create the sed file for building man pages
+ man.sed: Makefile
+@@ -126,7 +133,7 @@
+ 
+ # ========= INSTALL TARGETS =========
+ 
+-install: install-man1 install-man5 install-man8
++install: install-man1 install-man5 install-man7 install-man8
+ 
+ # install the man pages in man1
+ install-man1:
+@@ -146,6 +153,13 @@
+             mh_profile.$(manext5) ) \
+ 	fi
+ 
++# install the man pages in man7
++install-man7:
++	$(top_srcdir)/mkinstalldirs $(mandir)/man$(manext7)
++	for file in $(MAN7); do \
++	  $(INSTALL_DATA) $$file $(mandir)/man$(manext7) ; \
++	done
++
+ # install the man pages in man8
+ install-man8:
+ 	$(top_srcdir)/mkinstalldirs $(mandir)/man$(manext8)
+@@ -169,6 +183,12 @@
+ 	  rm -f $(mandir)/man$(manext5)/$$file; \
+ 	done
+ 
++# uninstall the man pages in man7
++uninstall-man7:
++	for file in $(MAN7); do \
++	  rm -f $(mandir)/man$(manext7)/$$file; \
++	done
++
+ # uninstall the man pages in man8
+ uninstall-man8:
+ 	for file in $(MAN8); do \
+@@ -181,7 +201,7 @@
+ 	rm -f *~
+ 
+ clean: mostlyclean
+-	rm -f man.sed *.$(manext1) *.$(manext5) *.$(manext8)
++	rm -f man.sed *.$(manext1) *.$(manext5) .*$(manext7) *.$(manext8)
+ 
+ distclean: clean
+ 	rm -f Makefile
--- nmh-1.2.orig/debian/nmh.bash_completions
+++ nmh-1.2/debian/nmh.bash_completions
@@ -0,0 +1,165 @@
+# Debian GNU/Linux nmh (1) completion.
+# Copyright 2003 "Wade Richards" <wade@wabyn.net>
+# Permission granted to redistribute under the BSD license
+
+have show &&
+_nmh()
+{
+    # args: command comp-word prev-word
+    local command current prev folder origfolder i orig_opts
+
+    COMPREPLY=()
+    current=${COMP_WORDS[COMP_CWORD]}
+    prev=${COMP_WORDS[COMP_CWORD-1]}
+    command=$1
+
+    orig_opts=$(shopt -p extglob) 
+    shopt -s extglob
+
+    # Get the folder, if specified
+    for (( i=0; i < ${#COMP_WORDS}-1; i++ ))
+    do
+        case "${COMP_WORDS[i]}" in
+        \++([a-zA-Z_]) )
+            folder=${COMP_WORDS[i]} 
+            origfolder=$( folder -f )
+            ;;
+        esac
+    done
+
+    case $current in 
+    -* ) 
+        # Command-line switches for the most common commands.
+        case $command in
+        ali ) 
+            # no sequences or messages
+            options=(-alias -list -nolist -normalize -nonormalize -user
+                    -nouser -version -help)
+            ;;
+        burst ) 
+            options=(-inplace -noinplace -quiet -noquiet -verbose
+                    -noverbose -version -help)
+            ;;
+        comp )
+            options=(-form -use -nouse -file -draftfolder -draftmessage
+                    -nodraftfolder -editor -noedit -whatnowproc -nowhatnowproc
+                    -version -help )
+           ;; 
+        flist* )
+            options=(-sequence -all -noall -showzero -noshowzero
+                    -recurse -norecurse -fast -nofast -alpha -noalpha -version
+                    -help)
+            ;;
+        folder* )
+            options=(-all -noall -create -nocreate -fast -nofast -header
+                    -noheader -recurse -norecurse -total -nototal -list -nolist
+                    -push -pop -pack -nopack -print -verbose -noverbose -version
+                    -help)
+            ;;
+        forw )
+            options=(-annotate -noannotate -form -format -noformat
+                    -filter -inplace -noinplace -mime -nomime -draftfolder
+                    -draftmessage -nodraftfolder -editor -noedit -whatnowproc
+                    -nowhatnowproc -dashstuffing -nodashstuffing -build -file
+                    -version -help)
+            ;;
+        inc )
+            options=(-audit -noaudit -changecur -nochangecur -form -format
+                    -file -silent -nosilent -truncate -notruncate -width -host
+                    -user -pack -nopack -apop -noapop -kpop -sasl -saslmech -snoop
+                    -version -help)
+            ;;
+        mark )
+            options=(-sequence -add -delete -list -public -nopublic
+                    -zero -nozero -version -help)
+            ;;
+        next )
+            options=(-showmimeproc -header -noheader -checkmime
+                    -nocheckmime -version -help)
+            ;;
+        packf )
+            options=(-file -mbox -mmdf -version -help)
+            ;;
+        pick )
+            options=(-and -or -not -lbrace -rbrace --component -cc
+                    -date -from -search -subject -to -after -before -datefield
+                    -sequence -public -nopublic -zero -nozero -list -nolist
+                    -version -help)
+            ;;
+        prev )
+            options=(-showproc -showmimeproc -header -noheader -checkmime
+                    -nocheckmime -version -help)
+            ;;
+        refile )
+            options=(-draft -link -nolink -preserve -nopreserve -unlink
+                    -nounlink -src -file -rmmproc -normmproc -version -help)
+            ;;
+        repl )
+            options=(-annotate -noannotate -group -nogroup -cc
+                    -nocc -query -noquery -form -format -noformat -filter
+                    -inplace -noinplace -mime -nomime -fcc -width -draftfolder
+                    -draftmessage -nodraftfolder -editor -noedit -whatnowproc
+                    -nowhatnowproc -build -file -version -help)
+            ;;
+        rmf )
+            options=(-interactive -nointeractive -version -help)
+            ;;
+        rmm )
+            options=(-link -nolink -version -help)
+            ;;
+        scan )
+            options=(-clear -noclear -form -format -header -noheader
+                    -width -reverse -noreverse -file -version -help )
+            ;;
+        show )
+            options=(-draft -showproc -showmimeproc -header -noheader
+                    -checkmime -nocheckmime -version -help)
+            ;;
+        sortm )
+            options=(-datefield -textfield -notextfield -limit -nolimit
+                    -verbose -noverbose -version -help)
+            ;;
+        whom )
+            options=(-alias -check -nocheck -draft -draftfolder
+                    -draftmessage -nodraftfolder -version -help)
+            ;;
+        * )
+            options=(-help -version -seq)
+            ;;
+        esac
+        ;;
+
+    +* )
+        # Folders
+        options=( $( folder -all -r -fast | grep -v "^\." | sed "s/^/+/" ) )
+        ;;
+
+    +([0-9a-z])-* )
+        # Partial range
+        start=${current/%-*/}
+        options=( $( scan $folder -format "%(msg)" "${start}-last" ) first prev cur next last )
+        options=( ${options[@]//#/${start}-} )
+        ;;
+
+    +([0-9]) )
+        # Message number, or start of range
+        options=( $( scan $folder -format "%(msg)" ) first prev cur next last )
+        options=( ${options[@]} ${options[@]//%/-} )
+        ;;
+
+    [fpcnlu]* )
+        # special message aliases
+        options=( first prev cur next last unseen )
+        ;;
+
+        # What about sequences?  I can't quite see how to get the list of possible sequences, so I
+        # guess the user will have to type them in the old-fashioned way.
+
+    esac
+
+    eval $orig_opts
+
+    COMPREPLY=( $( compgen -W "${options[*]}" -- $current ) )
+    return 0
+}
+[ "$have" ] && complete -F _nmh ali anno burst comp dist flist flists folder folders forw inc mark mhbuild mhl mhlist mhmail mhn mhparam mhpath mhshow mhstore msgchk msh next packf pick prev prompter rcvdist rcvpack rcvstore rcvtty  refile repl rmf rmm scan send sendfiles show slocal sortm whatnow whom 
--- nmh-1.2.orig/debian/compat
+++ nmh-1.2/debian/compat
@@ -0,0 +1 @@
+5
--- nmh-1.2.orig/debian/semantic.cache
+++ nmh-1.2/debian/semantic.cache
@@ -0,0 +1,16 @@
+;; Object debian/
+;; SEMANTICDB Tags save file
+(semanticdb-project-database-file "debian/"
+  :tables (list 
+   (semanticdb-table "rules"
+    :major-mode 'makefile-mode
+    :tags '(("build" function (:arguments ("patch")) nil [87 690]) ("clean" function (:arguments ("clean-patched" "unpatch")) nil [690 732]) ("clean-patched" function nil nil [719 822]) ("binary-indep" function (:arguments ("build")) nil [822 858]) ("binary-arch" function (:arguments ("build")) nil [859 933]) ("patch" function (:arguments ("patch-stamp")) nil [1386 1416]) ("patch-stamp" function nil nil [1405 1482]) ("unpatch" function nil nil [1482 1547]) ("source" function nil nil [1547 1697]) ("diff" function nil nil [1547 1697]) ("binary" function (:arguments ("binary-indep" "binary-arch")) nil [1697 1736]))
+    :file "rules"
+    :pointmax 1776
+    :unmatched-syntax 'nil
+    )
+   )
+  :file "semantic.cache"
+  :semantic-tag-version "2.0pre3"
+  :semanticdb-version "2.0pre3"
+  )
